#version 130
#extension GL_EXT_gpu_shader3 : enable
//#extension GL_EXT_gpu_shader4 : enable

//uniform sampler1D textureColorCurve;
attribute int lineIndexAttrib;
attribute float filterAlphaAttrib;

out vec4 vertexIn;
out vec4 texCoordIn;
out vec4 colorIn;
out vec4 positionIn;
flat out int lineIndexIn;
flat out float filterAlphaIn;

void main(void)
{
    vec4 vertex = vec4(gl_Vertex[0], gl_Vertex[1], gl_Vertex[2], 1);
    
    vertexIn = vertex;
    //gl_TexCoord[0] = gl_TextureMatrix[0] * gl_MultiTexCoord0;
    texCoordIn = gl_TextureMatrix[0] * gl_MultiTexCoord0;
    //positionIn = gl_ModelViewMatrix * vertex;
    positionIn = gl_ModelViewProjectionMatrix * vertex;
    colorIn = gl_Color;

    //gl_Position = vertex/*gl_ModelViewProjectionMatrix * vertex*/;//ftransform();
    lineIndexIn = lineIndexAttrib;
    filterAlphaIn = filterAlphaAttrib;
}
